darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Patch.SummaryData

# Documentation

data SummDetail

Constructors

SummAddDir FileName |
SummRmDir FileName |
SummFile SummOp FileName Int Int Int |
SummMv FileName FileName |
SummNone |

Instances

Eq SummDetail |
Ord SummDetail |

data SummOp

Constructors

SummAdd |
SummRm |
SummMod |

Instances

Eq SummOp |
Ord SummOp |